org.apache.ignite.internal.client.marshaller.jdk

## Class GridClientJdkMarshaller

- java.lang.Object
- - org.apache.ignite.internal.client.marshaller.jdk.GridClientJdkMarshaller

All Implemented Interfaces:
  GridClientMarshaller

    public class GridClientJdkMarshaller
    extends Object
    implements GridClientMarshaller

Simple marshaller that utilize JDK serialization features.

### Field Summary

Fields
`static byte` `ID` ID.

### Constructor Summary

Constructors
Constructor and Description
`GridClientJdkMarshaller()`

### Method Summary

Methods
`ByteBuffer` `marshal(Object obj, int off)` Marshals object to byte array.
`<T> T` `unmarshal(byte[] bytes)` Unmarshals object from byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final byte ID

ID.

See Also:
  Constant Field Values

### Constructor Detail

#### GridClientJdkMarshaller

    public GridClientJdkMarshaller()

### Method Detail

#### marshal

    public ByteBuffer marshal(Object obj,
                     int off)
                       throws IOException

Marshals object to byte array.

Specified by:
  `marshal` in interface `GridClientMarshaller`
Parameters:
  `obj` - Object to marshal.
  `off` - Start offset.
Returns:
  Byte buffer.
Throws:
  `IOException` - If marshalling failed.

#### unmarshal

    public <T> T unmarshal(byte[] bytes)
                throws IOException

Unmarshals object from byte array.

Specified by:
  `unmarshal` in interface `GridClientMarshaller`
Parameters:
  `bytes` - Byte array.
Returns:
  Unmarshalled object.
Throws:
  `IOException` - If unmarshalling failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015